%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname luv

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-%{srcname}
Version:        0.5.14
Release:        %mkrel 1
Summary:        OCaml binding to libuv for cross-platform asynchronous I/O
Group:          Development/OCaml

License:        MIT
URL:            https://github.com/aantron/luv
Source0:        %{url}/releases/download/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-alcotest-devel >= 0.8.1
BuildRequires:  ocaml-ctypes-devel >= 0.14.0
BuildRequires:  ocaml-dune >= 2.7.0
BuildRequires:  pkgconfig(libuv)

%description
Luv is a binding to libuv, the cross-platform C library that does
asynchronous I/O in Node.js and runs its main loop.

Besides asynchronous I/O, libuv also supports multiprocessing and
multithreading.  Multiple event loops can be run in different threads.
Libuv also exposes a lot of other functionality, amounting to a full OS
API, and an alternative to the standard module Unix.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ctypes-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{version}

# Remove spurious executable bits
find . -type f -exec chmod 0644 {} +

%build
export LUV_USE_SYSTEM_LIBUV=yes
%dune_build

%install
export LUV_USE_SYSTEM_LIBUV=yes
%dune_install

%check
export LUV_USE_SYSTEM_LIBUV=yes
%dune_check

%files -f .ofiles
%license LICENSE.md
%doc README.md

%files devel -f .ofiles-devel



%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.5.14-1.mga10
+ Revision: 2193818
- new version: 0.5.14

* Sat Oct 08 2022 pterjan <pterjan> 0.5.11-1.mga9
+ Revision: 1895635
- Update to 0.5.11

* Thu May 19 2022 pterjan <pterjan> 0.5.10-2.mga9
+ Revision: 1859218
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 0.5.10-1.mga9
+ Revision: 1751142
- Version 0.5.10

* Sat Mar 06 2021 tv <tv> 0.5.7-1.mga9
+ Revision: 1700006
- imported package ocaml-luv


* Mon Mar  1 15:16:17 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 0.5.7-2
- OCaml 4.12.0 build
- Make the -doc subpackage conditional.

* Wed Feb 17 2021 Jerry James <loganjerry@gmail.com> - 0.5.7-1
- Version 0.5.7

* Tue Feb 09 2021 Jerry James <loganjerry@gmail.com> - 0.5.6-1
- Initial package
